{
  lib,
  inputs,
  self,
  ...
}:
let
  module = lib.modules.importApply ./default.nix { };
in
{
  clan.modules = {
    yggdrasil = module;
  };
  perSystem =
    { ... }:
    {
      # clan.nixosTests.service-yggdrasil = {
      #   imports = [ ./tests/vm/default.nix ];
      #
      #   clan.modules."@clan/yggdrasil" = module;
      # };
    };
}
